Diese Website existiert nur weil wir Werbung mit AdSense ausliefern.
Bitte den AdBlocker daher auf dieser Website ausschalten! Danke.

Inkscape 0.40 für SuSE 9.2 installieren

Alles rund um das Thema Multimedia unter Linux

Moderator: Moderatoren

Antworten
bright_knight
Newbie
Newbie
Beiträge: 2
Registriert: 15. Dez 2004, 12:11
Wohnort: Oberbayern

Inkscape 0.40 für SuSE 9.2 installieren

Beitrag von bright_knight »

Wer sich die neueste Inkscape-Version 0.40 von der offiziellen Homepage des Projektes runtergeladen hat, wird feststellen, daß YaST eine Menge Bibliotheken verlangt, die nicht installiert sind. Die gewünschten Pakete sind zwar auf der SuSE 9.2 DVD enthalten, sind aber leider nicht mehr aktuell, und somit nicht brauchbar.
Um allen Interessierten die Sucherei und das manuelle Auflösen der Abhängigkeiten zu ersparen, hier die Schnellanleitung inklusive aller Links:

1. Inkscape 0.40-RPM für SuSE 9.2 runterladen.
(http://prdownloads.sourceforge.net/inks ... suse92.rpm)

2. libsigc++2-RPM runterladen.
(http://ftp.gwdg.de/pub/linux/usr-local- ... 1.i586.rpm)

3. glibmm2-RPM runterladen.
(http://ftp.gwdg.de/pub/linux/usr-local- ... 1.i586.rpm)

4. gtkmm2-RPM runterladen.
(http://ftp.gwdg.de/pub/linux/usr-local- ... 1.i586.rpm)

Dann in dieser Reihenfolge mit YaST installieren:
libsigc++2
glibmm2
gtkmm2
inkscape-0.40-cvs

Inkscape 0.40 starten - Viel Spaß!

(Disclaimer: diese Vorgehensweise hat unter 9.2 Prof. mit aktuellen Updates problemlos geklappt. Für 9.1 liegt keine Erfolgsbestätigung vor, sollte aber gehen - bitte in diesem Fall Inkscape-RPM für 9.1 runterladen! Ein Hinweis an GNOME-Nutzer: da es sich bei den Bibliotheken um Files handelt, die womöglich von neuen GNOME Versionen >2.4.x benutzt werden, können evtl. unerwünschte Effekte auftreten! Deshalb aufpassen und auf eigene Gefahr installieren. Solange YaST nicht über Paketkonflikte klagt, sollte aber alles in Ordnung sein.)

Viele Grüße
bright_knight


**** ENGLISH VERSION ****

If you have tried to install the newest Inkscape-Version 0.40 for SuSE 9.2 you might have found out that YaST is demanding a couple of libraries which are not installed. The desired packages can be found on the SuSE 9.2 DVD, but are older versions, and installing them does not improve the situation.
For all of you who are interested to get this great piece of software running, here come the short installation instructions including all links:

1. Download Inkscape 0.40-RPM for SuSE 9.2.
(http://prdownloads.sourceforge.net/inks ... suse92.rpm)

2. Download libsigc++2-RPM.
(http://ftp.gwdg.de/pub/linux/usr-local- ... 1.i586.rpm)

3. Download glibmm2-RPM.
(http://ftp.gwdg.de/pub/linux/usr-local- ... 1.i586.rpm)

4. Download gtkmm2-RPM.
(http://ftp.gwdg.de/pub/linux/usr-local- ... 1.i586.rpm)

After obtaining the packages, install them with YaST in exactly this order:
libsigc++2
glibmm2
gtkmm2
inkscape-0.40-cvs

Start Inkscape 0.40 - Enjoy!

(Disclaimer: This method has worked fine with 9.2 Prof. including actual patches. There is no confirmation of success yet for 9.1, but it should work - you only should download the Inkscape-9.1-RPM instead. A note to GNOME users: these libraries seem to be files which might be used by newer GNOME versions >2.4.x, eventually unwanted effects can occur - be careful and do on your own risk! Until YaST does not complain about package conflicts all should be fine.)

Kind regs,
bright_knight
flashracer
Newbie
Newbie
Beiträge: 6
Registriert: 17. Jan 2005, 23:14

Beitrag von flashracer »

Hallo,

bei mir klappt das alles nicht. Ich habe kein Paket installieren können:
<ibsigc++2-2.0.6-100.SuSE.ulb.1.i586.rpm';echo RESULT=$?
warning: //home/Balthasar/Downloads/libsigc++2-2.0.6-100.SuSE.ulb.1.i586.rpm: V3 DSA signature: NOKEY, key ID f071d27d
RESULT=1

<libmm2-2.4.4-100.SuSE.ulb.1.i586.rpm';echo RESULT=$?
warning: //home/Balthasar/Downloads/glibmm2-2.4.4-100.SuSE.ulb.1.i586.rpm: V3 DSA signature: NOKEY, key ID f071d27d
/sbin/ldconfig: /usr/local/lib/libpng.so.3 is not a symbolic link

/sbin/ldconfig: /lib/libpng.so.3 is not a symbolic link

error: %post(glibmm2-2.4.4-100.SuSE.ulb.1) scriptlet failed, exit status 0
RESULT=1

warning: //home/Balthasar/Downloads/gtkmm2-2.4.5-100.SuSE.ulb.1.i586.rpm: V3 DSA signature: NOKEY, key ID f071d27d
/sbin/ldconfig: /usr/local/lib/libpng.so.3 is not a symbolic link

/sbin/ldconfig: /lib/libpng.so.3 is not a symbolic link

RESULT=0

Was hat das alles zu bedeuten?

Roland
flashracer
Newbie
Newbie
Beiträge: 6
Registriert: 17. Jan 2005, 23:14

Beitrag von flashracer »

Und ich stelle fest, dass ich INkscape trotzdem starten kann.

Wer soll das nur kapieren?
Antworten